Bug 122398 - file renamer like juk's would be nice
Summary: file renamer like juk's would be nice
Status: RESOLVED WORKSFORME
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 1.4-SVN
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-21 04:02 UTC by Adeodato Simó
Modified: 2006-11-16 16:26 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adeodato Simó 2006-02-21 04:02:35 UTC
Hi, this comes from Debian Bug#339113 (http://bugs.debian.org/339113) 
submitted by Artom Lifshitz <artom@sympatico.ca>.

----------------------------------8<----------------------------------------
Juk's mass file renamer is a wonderful tool, and I keep juk around only
for that. It'd be nice if amarok was able to rename files en masse
based on a template.
---------------------------------->8----------------------------------------
Comment 1 Thomas McGuire 2006-07-22 15:30:44 UTC
I completely agree.
Amarok already has an file renamer, but only when importing songs to the collection. I think the mass file renamer should be merged with the existing dialog, and should be accessible not only during initial import but also in the context menu of songs/playlist/collection browser.

Some things which could be improved in the current file renamer:
- The "Filename Format" usability. See how JuK handles this.
- It would be very nice to have to different settings for compilation and non-compilation songs. For example, for non-compilation songs I want "%folder/%artist/%album/{%track - }%title.%filetype" as scheme, while for compilation albums I want "%folder/%album/{%track - }%artist - %title.%filetype"
Comment 2 Thomas McGuire 2006-11-16 15:30:08 UTC
Oh, actually I just noticed Amarok does indeed have a file renamer, which is in the context menu under Manage files->Organize files.

Either it wasn't there before or I missed it.
Comment 3 Mark Kretschmann 2006-11-16 16:26:30 UTC
ok closing